version: '2.1'

networks:
  zxtmnet:
    driver: bridge
    enable_ipv6: true
    ipam:
      driver: default
      config:
        -
          subnet: 172.24.0.0/14
        -
          subnet: fd00:0:0:1::/64
services:
  zxtm1:
    cap_add:
      - NET_ADMIN
      - SYS_ADMIN
    image: docs.clb.rackspace.net/vtm1:postip
    hostname: "z1.rackspace-clb.com"
    extra_hosts:
      - "z2.rackspace-clb.com:172.24.1.2"
    networks:
      zxtmnet:
        ipv4_address: 172.24.1.1
    container_name: vtm1
  zxtm2:
    cap_add:
      - NET_ADMIN
      - SYS_ADMIN
    image: docs.clb.rackspace.net/vtm2:postip
    hostname: "z2.rackspace-clb.com"
    extra_hosts:
      - "z1.rackspace-clb.com:172.24.1.1"
    networks:
      zxtmnet:
        ipv4_address: 172.24.1.2
    container_name: vtm2

